Create Catalog From Run
curl --request POST \
--url https://catalogapi.rastro.ai/api/public/enrich/{job_id}/to-catalog \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://catalogapi.rastro.ai/api/public/enrich/{job_id}/to-catalog"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://catalogapi.rastro.ai/api/public/enrich/{job_id}/to-catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Enrich
Create Catalog From Run
Create a new catalog from an enrichment run’s results.
The new catalog’s schema carries field types AND descriptions from the run’s enrichment template, and is populated with the run’s enriched records. Works for upload-based (catalog-less) runs that otherwise have no catalog to export to.
POST
/
public
/
enrich
/
{job_id}
/
to-catalog
Create Catalog From Run
⌘I